Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Class AbstractCreateProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractCreateProjectPlugin

All Implemented Interfaces:
  CreateProjectPlugin, Plugin, Disposable

Direct Known Subclasses:
  ClipsFilesCreateProjectPlugin, DatabaseCreateProjectPlugin

    public abstract class AbstractCreateProjectPlugin

extends Object
implements CreateProjectPlugin

Author:
  Ray Fergerson

Constructor Summary
`protected` | `AbstractCreateProjectPlugin(String name)`

Method Summary
`protected Project` | `buildNewProject(KnowledgeBaseFactory factory)`
`protected Project` | `createNewProject(KnowledgeBaseFactory factory)`
`Project` | `createProject()`
`void` | `dispose()`
`protected URI` | `getBuildProjectURI()`
`String` | `getName()`
`protected void` | `handleErrors(Collection errors)`
`protected void` | `initialize(Project project)`
`protected void` | `initializeSources(PropertyList sources)`
`void` | `setKnowledgeBaseFactory(KnowledgeBaseFactory factory)`
`void` | `setUseExistingSources(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.CreateProjectPlugin
`canCreateProject, createCreateProjectWizardPage`

Constructor Detail

### AbstractCreateProjectPlugin

    protected AbstractCreateProjectPlugin(String name)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Plugin`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### handleErrors

    protected void handleErrors(Collection errors)

### setKnowledgeBaseFactory

    public void setKnowledgeBaseFactory(KnowledgeBaseFactory factory)

  Specified by:
    `setKnowledgeBaseFactory` in interface `CreateProjectPlugin`

### setUseExistingSources

    public void setUseExistingSources(boolean b)

  Specified by:
    `setUseExistingSources` in interface `CreateProjectPlugin`

### createProject

    public Project createProject()

  Specified by:
    `createProject` in interface `CreateProjectPlugin`

### createNewProject

    protected Project createNewProject(KnowledgeBaseFactory factory)

### initialize

    protected void initialize(Project project)

### buildNewProject

    protected Project buildNewProject(KnowledgeBaseFactory factory)

### getBuildProjectURI

    protected URI getBuildProjectURI()

### initializeSources

    protected void initializeSources(PropertyList sources)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.